summaryrefslogtreecommitdiff
path: root/bin/setup
diff options
context:
space:
mode:
authorHombreLaser <sebastian-440@live.com>2023-02-20 19:52:42 -0600
committerHombreLaser <sebastian-440@live.com>2023-02-20 19:52:42 -0600
commita4d29f635c7c6bec4a15ab43956a2be896b0ff11 (patch)
tree51988b660f64197d3730de9e85737e38efef49d8 /bin/setup
Commit inicial
Diffstat (limited to 'bin/setup')
-rwxr-xr-xbin/setup33
1 files changed, 33 insertions, 0 deletions
diff --git a/bin/setup b/bin/setup
new file mode 100755
index 0000000..ec47b79
--- /dev/null
+++ b/bin/setup
@@ -0,0 +1,33 @@
+#!/usr/bin/env ruby
+require "fileutils"
+
+# path to your application root.
+APP_ROOT = File.expand_path("..", __dir__)
+
+def system!(*args)
+ system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+FileUtils.chdir APP_ROOT do
+ # This script is a way to set up or update your development environment automatically.
+ # This script is idempotent, so that you can run it at any time and get an expectable outcome.
+ # Add necessary setup steps to this file.
+
+ puts "== Installing dependencies =="
+ system! "gem install bundler --conservative"
+ system("bundle check") || system!("bundle install")
+
+ # puts "\n== Copying sample files =="
+ # unless File.exist?("config/database.yml")
+ # FileUtils.cp "config/database.yml.sample", "config/database.yml"
+ # end
+
+ puts "\n== Preparing database =="
+ system! "bin/rails db:prepare"
+
+ puts "\n== Removing old logs and tempfiles =="
+ system! "bin/rails log:clear tmp:clear"
+
+ puts "\n== Restarting application server =="
+ system! "bin/rails restart"
+end